ReflectionParameter::getDeclaringFunction
ReflectionParameter::getName
ReflectionParameter
PHP Manual

# ReflectionParameter::getDefaultValue

(PHP 5 >= 5.0.3)

ReflectionParameter::getDefaultValue — Gets default parameter value

### Description

public mixed ReflectionParameter::getDefaultValue ( void )

Gets the parameters default value.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

This function has no parameters.

### Return Values

The parameters default value.

### See Also

- ReflectionParameter::isOptional - Checks if optional
- ReflectionParameter::isPassedByReference - Checks if passed by reference

ReflectionParameter::getDeclaringFunction
ReflectionParameter::getName
ReflectionParameter
PHP Manual